Index: factory/int_int.cc
===================================================================
--- factory/int_int.cc	(revision 0fb33365c938bc91c1860b13dbd981c5869f942d)
+++ factory/int_int.cc	(revision f8e54578322ffb83ea92786420613e64ade26d73)
@@ -1,4 +1,4 @@
 /* emacs edit mode for this file is -*- C++ -*- */
-/* $Id: int_int.cc,v 1.20 2008-01-07 13:33:10 Singular Exp $ */
+/* $Id: int_int.cc,v 1.21 2008-01-08 14:23:35 Singular Exp $ */
 
 #include <config.h>
@@ -173,4 +173,5 @@
         mpz_init( &dummy );
         mpz_mul( &dummy, &thempi, &MPI( c ) );
+        #if 0
         if ( mpz_is_imm( &dummy ) )
         {
@@ -181,4 +182,5 @@
         }
         else
+        #endif
             return new InternalInteger( dummy );
     }
@@ -186,4 +188,5 @@
     {
         mpz_mul( &thempi, &thempi, &MPI( c ) );
+        #if 0
         if ( mpz_is_imm( &thempi ) )
         {
@@ -194,4 +197,5 @@
         }
         else
+        #endif
             return this;
     }
@@ -242,5 +246,6 @@
         else
             mpz_add_ui( &thempi, &thempi, cc );
-        if ( mpz_is_imm( &thempi ) ) {
+        if ( mpz_is_imm( &thempi ) )
+        {
             InternalCF * res = int2imm( mpz_get_si( &thempi ) );
             delete this;
@@ -256,12 +261,15 @@
     ASSERT( ::is_imm( c ) == INTMARK, "incompatible base coefficients" );
     int cc = imm2int( c );
-    if ( getRefCount() > 1 ) {
-        decRefCount();
-        MP_INT dummy;
-        if ( negate ) {
+    if ( getRefCount() > 1 )
+    {
+        decRefCount();
+        MP_INT dummy;
+        if ( negate )
+        {
             mpz_init_set_si( &dummy, cc );
             mpz_sub( &dummy, &dummy, &thempi );
         }
-        else {
+        else
+        {
             mpz_init( &dummy );
             if ( cc < 0 )
@@ -270,5 +278,6 @@
                 mpz_sub_ui( &dummy, &thempi, cc );
         }
-        if ( mpz_is_imm( &dummy ) ) {
+        if ( mpz_is_imm( &dummy ) )
+        {
             InternalCF * res = int2imm( mpz_get_si( &dummy ) );
             mpz_clear( &dummy );
@@ -278,6 +287,8 @@
             return new InternalInteger( dummy );
     }
-    else {
-        if ( negate ) {
+    else
+    {
+        if ( negate )
+        {
             MP_INT dummy;
             mpz_init_set_si( &dummy, cc );
@@ -290,5 +301,6 @@
             else
                 mpz_sub_ui( &thempi, &thempi, cc );
-        if ( mpz_is_imm( &thempi ) ) {
+        if ( mpz_is_imm( &thempi ) )
+        {
             InternalCF * res = int2imm( mpz_get_si( &thempi ) );
             delete this;
@@ -304,15 +316,18 @@
     ASSERT( ::is_imm( c ) == INTMARK, "incompatible base coefficients" );
     int cc = imm2int( c );
-    if ( getRefCount() > 1 ) {
-        decRefCount();
-        MP_INT dummy;
-         mpz_init( &dummy );
-         if ( cc < 0 ) {
-             mpz_mul_ui( &dummy, &thempi, -cc );
-             mpz_neg( &dummy, &dummy );
-         }
-         else
-             mpz_mul_ui( &dummy, &thempi, cc );
-        if ( mpz_is_imm( &dummy ) ) {
+    if ( getRefCount() > 1 )
+    {
+        decRefCount();
+        MP_INT dummy;
+        mpz_init( &dummy );
+        if ( cc < 0 )
+        {
+            mpz_mul_ui( &dummy, &thempi, -cc );
+            mpz_neg( &dummy, &dummy );
+        }
+        else
+            mpz_mul_ui( &dummy, &thempi, cc );
+        if ( mpz_is_imm( &dummy ) )
+        {
             InternalCF * res = int2imm( mpz_get_si( &dummy ) );
             mpz_clear( &dummy );
@@ -322,6 +337,8 @@
             return new InternalInteger( dummy );
     }
-    else {
-        if ( cc < 0 ) {
+    else
+    {
+        if ( cc < 0 )
+        {
             mpz_mul_ui( &thempi, &thempi, -cc );
             mpz_neg( &thempi, &thempi );
@@ -329,5 +346,6 @@
         else
             mpz_mul_ui( &thempi, &thempi, cc );
-        if ( mpz_is_imm( &thempi ) ) {
+        if ( mpz_is_imm( &thempi ) )
+        {
             InternalCF * res = int2imm( mpz_get_si( &thempi ) );
             delete this;
@@ -357,5 +375,6 @@
 
     // check for immediate result
-    if ( mpz_is_imm( &result ) ) {
+    if ( mpz_is_imm( &result ) )
+    {
         InternalCF * res = int2imm( mpz_get_si( &result ) );
         mpz_clear( &result );
